﻿using Syncfusion.TreeView.Engine;
using Syncfusion.XForms.TreeView;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace GettingStartedBound
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class GettingStatred : ContentPage
    {
        
        public GettingStatred()
        {
            InitializeComponent();
        }
        private void SearchIndNode(TreeViewNodeCollection nodes,string inputText,object sender)
        {
            foreach (var node in nodes)
            {
                    SearchFor(inputText, sender, node);
                if (node.HasChildNodes)
                    SearchIndNode(node.ChildNodes, inputText, sender);
            }
        }

        private void Entry_Completed(object sender, EventArgs e)
        {
          
            var inputText = ((SearchBar)sender).Text;

            SearchIndNode(treeView.Nodes, inputText, sender);
            
            if (string.IsNullOrEmpty(inputText))
                return;
        }
        private void SearchFor(string text, object sender, TreeViewNode treeViewNode)
        {
            if (string.IsNullOrEmpty(text))
            {
                (treeViewNode.Content as FileManager).MatchingSearch = false;
                return;
            }


            if ((treeViewNode.Content as FileManager).ItemName.Contains(text))
            {
                (treeViewNode.Content as FileManager).MatchingSearch = true;
            }
            else
            {
                (treeViewNode.Content as FileManager).MatchingSearch = false;
            }
        }
    }


}